/* css document */

/*======================= 
  buttons
  =====================*/

.button__styled { 
	display: inline-block;
	position: relative;
	background: #0077c8;
	overflow: hidden;
}

.button__styled::after {
	content: '';
	position: absolute;
	top: 0; 
	left: 0;
	height: 100%;
	z-index: 1;
	transition: all 0.3s;
	background: #00497b;
	width: 0;
}

.button__styled a {
	display: inline-block;
	position: relative; 
	color: #fff !important; 
	text-decoration: none;
	padding: 15px 20px;
	z-index: 2;
}

.button__styled:hover::after {
	width: 100%;
}